# Employer Badge

The following assumes you have installed the required interface package and imported the working contract into your codebase.

### employerIdFromWallet

This `external` function allows anyone to get an employer's unique identifier from any given wallet. This can be used to verify a particular message sender is a POPP verified employer from a particular organisation.&#x20;

```solidity
uint256 _employerId = employerSft.employerIdFromWallet(msg.sender);
require(_employerId == 1, "You need to be a Hooli employer to access");
```

### addToMyTeam

Once you become a *verified* employer, you can now add wallets to your team using the `addToMyTeam` method. This will will allow you to scale the onboarding process for your organisation.&#x20;

```solidity
employerSft.addToMyTeam(_newEmployerWallet);
```

### removeFromMyTeam

You can remove any team member using the external `removeFromMyTeam` function. This will burn the token and set the \`inValidFrom\` date (as a timestamp).&#x20;

{% hint style="info" %}
The `invalidFrom`  timestamp is used for when an employer's wallet is compromised and any activity holding that token becomes invalid.
{% endhint %}

```solidity
employerSft.removeFromMyTeam(_employerWallet, 1546360800);
```

### invalidFrom

A way to check the timestamp when a given employer wallet was removed form the team.

```solidity
employerSft.invalidFrom(_employerWallet);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.proofofposition.xyz/reference/employer-badge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
